Subject: Re: [RFC PATCH v3 0/7] Introduce clar testing framework

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Aug 2024 15:13:39 -0700

<[email-masked]> writes:

>>For something as small as "clar", I think it is fine to start with the currently proposed
>>layout and see what happens.  If we can keep going without touching the imported
>>part of the sources at all, and the system proves to be useful and stable, that is a
>>good time to suggest moving it out and binding the selected version of the
>>upstream as a submodule.
>
> I think we already have a copy customized for git's use. The main clar repo on its own
> has portability issues. I have contributed a few fixes, but they need work.

Yup, but as long as the changes we make are all upstreamable, the
story does not change all that much.  Changes like "#ifdef TANDEM"
would be totally uncontroversial thing for them to accept and we
should be able to upstream them fairly easily, and once we thin our
local customization down to zero, we'd reach the state I outlined.

Starting out with a local copy helps us making these portability and
other changes without much friction, regardless of how responsive
the upstream is, and the request upstream would see is "here are the
changes to make it available on more platforms and/or making it
generally more useful. all of these changes have been used and
battle-tested in the context of the Git project for N months, please
apply."